@charset "utf-8";
/* layout.css는 전체적인 레이아웃 스타일을 정의합니다. */ 
body {overflow-x: hidden;}
#skipToContent a {z-index:100000;position:absolute;top:0;left:0;width:1px;height:1px;font-size:0;line-height:0;overflow:hidden}
#skipToContent a:focus, 
#skipToContent a:active {width:200px;height:50px;background:#21272e;color:#fff;font-size:14px;font-weight:bold;text-align:center;text-decoration:none;line-height:50px}

.only-desktop {display:block;}
.only-desktop-tablet {display:block;}
.only-tablet-mobile {display:none;}
.only-tablet {display:none;}
.only-mobile {display:none;}
.flex {display:flex;}
.flex-center {display:flex; align-items:center; justify-content:center;}
.flex-start {display:flex; align-items:center; justify-content:flex-start;}
.flex-end {display:flex; align-items:center; justify-content:flex-end;}
.flex-top {display: flex; align-items:flex-start;}
.flex-between {display:flex; align-items:center; justify-content:space-between;}
.flex-col {display:flex; flex-direction:column;}
.flex-col-center {display:flex; flex-direction:column; align-items:center; justify-content: center;}
.flex-col-start {display:flex; flex-direction:column; align-items:flex-start;}
.flex-col-end {display:flex; flex-direction:column; align-items:flex-end;}

#wrapper {position:relative;}

.contain {max-width:1460px; margin:0 auto; padding-right:var(--space-container); padding-left:var(--space-container);}

/* header */
#header {position:fixed; top:0; left:0; width:100%; height:var(--header-height); background:transparent; transition:.2s; z-index:100; border-bottom: 1px solid #ddd;}
#header .contain {display: flex; align-items: center; justify-content: space-between; position:relative; max-width:1640px; height:100%; z-index:10; }

.sitelogo a {display:block;}
#gnb > ul {display: flex; justify-content:center; text-align:center; }
#gnb > ul > li {position:relative; padding:0 var(--space-50);}
#gnb > ul > li > a {display:flex; flex-direction:column; align-items:center; justify-content:center; height:var(--header-height); color:#fff; font-size:var(--font-size-18); font-weight:600; line-height:1.5em; letter-spacing:-.03em;}
#gnb > ul > li > a div {display:flex; flex-direction:column; align-items:center; justify-content:flex-start; overflow:hidden; height:1.5em; padding:0 4px;}
#gnb .submenu {display:none; position:absolute; top: calc(var(--header-height) + 1px); left:50%; transform: translateX(-50%); text-align:center; }
#gnb .submenu>ul {padding: var(--space-20); background: #fff; border-radius: var(--radius-24); box-shadow: var(--shadow);}
#gnb .submenu>ul>li>a {display:block; color:#454545;  font-weight: 500; line-height:2.187em; white-space:nowrap; font-size: var(--font-size-18); font-weight: 500;}
#gnb .submenu>ul>li>a:hover {color:var(--color-primary); font-weight: 600; }

.pull-right {display:flex; align-items:center; gap:var(--space-30);}

.language {position:relative; display:inline-block;}
.language .toggle-button {display:flex; align-items:center; padding:var(--space-10) var(--space-20); background:rgba(255, 255, 255, 0.16); backdrop-filter:blur(2px); border:0; border-radius:50px; color:#fff; font-weight:600; line-height:1.5em; text-align:left;}
.language .toggle-button .ico {margin-right:var(--space-10); line-height:0;}
.language .toggle-button .chevron {margin-left:var(--space-24); line-height:0;}
.language .toggle-layer {display:none; position:absolute; margin-top:10px; left:0; width:100%; padding:var(--space-20) var(--space-10); background:rgba(255, 255, 255, 0.7); backdrop-filter:blur(4px); border-radius:var(--radius-24); text-align:center;}
.language .toggle-layer a {display:block; padding:var(--space-8) 0; color:#454545; font-size:var(--font-size-18); font-weight:500; line-height:1.5em;}
.language .toggle-layer a:hover {color:var(--color-primary); font-weight:600;}
.language.active .toggle-button .chevron {transform:scaleY(-1);}

/*header active */
#header.active {background: #fff;}
#header.active #gnb > ul > li > a {color:var(--color-sub);}
#header.active #gnb > ul > li.active > a {color:var(--color-primary);}
#header.active .language .toggle-button {background:var(--color-primary); backdrop-filter:unset;}

/* for mobile */
.btn-m-menu {display:none; width:24px; height:24px;}
.btn-m-menu div {display:flex; flex-direction:column; justify-content:center; gap:7px; width:100%; height:100%;}
.btn-m-menu span {display:block; width:100%; height:2px; background:#222;}
#header.active .btn-m-menu span {background:#242424;}

.mobile-navigation {display:block;position:fixed; top:0; right:0; width:300px; height:100%; overflow:auto; transition:.2s linear; -ms-transform:translateX(100%); transform:translateX(100%); background:#fff; z-index:102;}
.mobile-navigation .home {max-height:60px; padding: 19px 20px;}
.mobile-navigation .home a {display: block;  color: #2c2c2c; font-size:20px; font-weight: 700; line-height: 1.3em;}
.mobile-navigation .nav-menu>ul {border-top:1px solid #dfdfdf;}
.mobile-navigation .nav-menu>ul>li {border-bottom:1px solid #dfdfdf;}
.mobile-navigation .nav-menu>ul>li>a {position:relative; display:block; padding:13px 20px; color:#242424; font-size:18px; font-weight:700; line-height:1.3em;}
.mobile-navigation .nav-menu>ul>li>a div {display:flex; align-items:flex-end; gap:5px;}
.mobile-navigation .nav-menu>ul>li>a .en {order:2;  font-size:.8em; font-weight:500; line-height:1.3em; opacity:.4;}
.mobile-navigation .nav-menu>ul>li>a:after {content:""; position:absolute; top:50%; right:20px; transform:translateY(-75%) rotate(45deg); width:12px; height:12px; border-right:2px solid #454545; border-bottom:2px solid #454545;}
.mobile-navigation .nav-menu>ul>li.active>a:after  {transform:translateY(-35%) rotate(-135deg); border-color:var(--color-primary);}
.mobile-navigation .nav-menu .submenu {display:none; background:var(--color-primary); padding: 10px 0;}
.mobile-navigation .nav-menu .submenu > ul > li > a {display:flex; align-items:flex-end; gap:5px; padding:8px 20px; color:#fff; font-size:16px; font-weight:500; line-height:1.3em;}
.mobile-navigation .nav-menu .submenu > ul > li > a .bar {display:none;}
.mobile-navigation .nav-menu .submenu > ul > li > a .en {order:2; font-size:.8em; line-height:1.3em; font-weight:400; opacity:.4;}
.mobile-navigation .close {position:absolute; top:15px; right:15px; width:26px; height:26px; text-indent:-9999em; overflow:hidden;}
.mobile-navigation .close:before,
.mobile-navigation .close:after {content:" "; position:absolute; top:12px; left:0; width:100%; height:3px; background:#242424; border-radius:3px;}
.mobile-navigation .close:before {transform:rotate(45deg);}
.mobile-navigation .close:after {transform:rotate(-45deg);}

.mobile-overlay {display:none; position:fixed; top:0; left:0; width:100%; height:100%; background:#000; opacity:0.6; z-index:101;}
.mobile-navigation .nav-menu>ul>li:nth-child(3)>a:after,
.mobile-navigation .nav-menu>ul>li:nth-child(4)>a:after {display: none;}

html.menu-opened {overflow:hidden;}
html.menu-opened .mobile-navigation {-ms-transform:translateX(0); transform:translateX(0);}
html.menu-opened .mobile-overlay {display:block;}

/* main-visual */

.main-visual {position:relative; overflow: hidden; width: 100%; }
.main-visual .item {position:relative; height: 77vh; overflow:hidden;}
.main-visual .img {position:absolute; top:0; left:0; width:100%; height:100%; overflow:hidden; transform: scale(1); transition: 4s;}
.main-visual .img img {position:absolute; top:50%; left:0; transform:translateY(-50%); -ms-transform:translateY(-50%); -webkit-transform:translateY(-50%); width:100%; height:auto !important; max-width:100%; min-height:100%; object-fit:cover;}

.main-visual .caption { position: absolute; bottom: var(--space-200); left:0; width: 100%;}
.main-visual .caption .contain {max-width: 1640px; padding-left: var(--space-container); padding-right: var(--space-container);}
.main-visual .caption .txt { width: 100%; transform:translateY(50px); opacity: 0; transition:opacity 0s 2s, transform 0s 2s; color: #fff; }
.main-visual .caption h2 { font-size: var(--font-size-50); font-weight: 600; line-height: 1.25em; margin-bottom: 25px;}
.main-visual .caption p {line-height: 1.45em; font-size: var(--font-size-20); font-weight: 500;}
[lang=en] .main-visual .caption .txt {max-width: 1175px;}
.main-visual .items .slick-active:not(.animate) .caption .txt { transform:translateY(50px); opacity:0; transition:all 0s;}
.main-visual .items .slick-active.animate .caption .txt { transform:translateY(0); opacity:1; transition:opacity 0.8s, transform 0.5s; transition-delay:0.2s;}
.main-visual .items .reset-animation .caption .txt { transform:translateY(50px); opacity:0; transition:all 0s}

.main-visual .slick-dots {position:absolute; bottom:var(--space-70); left:0; width:100%; text-align:center; line-height:0; z-index:50;}
.main-visual .slick-dots li {display:inline-block; margin:0 6px;}
.main-visual .slick-dots li button {position:relative; display:block; width:18px; height:18px; background:transparent; border:1px solid transparent; border-radius:100%; overflow:hidden; text-indent:-9999em; transition:.2s;}
.main-visual .slick-dots .slick-active button {border: 1px solid #fff;}
.main-visual .slick-dots li button:before {content:""; position:absolute; top:50%; left:50%; transform:translate(-50%, -50%); width:8px; height:8px; background:#ffffff50; border-radius:100%;}
.main-visual .slick-dots .slick-active button:before {background:#fff}
.main-visual .slick-arrow {display: none !important;}

.main-visual .animate .img { animation-name: scale; animation-duration:4s; animation-fill-mode: forwards;}
@keyframes scale {
    0% {transform: scale(1);}
	100% {transform: scale(1.05);}
}

/* main-cont */
/* 입시와의 연결고리 */
.main-section .contain {max-width: 1360px; padding-left: var(--space-container); padding-right: var(--space-container);}
.conn-adm {padding-top: var(--space-90);}
.conn-adm .contain {text-align: center; margin-bottom: var(--space-130);}
.conn-adm .cap {font-size: var(--font-size-16); font-weight: 500; color: #E6B430; margin-bottom: var(--space-10); line-height: 1.5em;}
.conn-adm .tit {font-size: var(--font-size-38); font-weight: 600; color: var(--color-sub); margin-bottom: var(--space-30); line-height: 1.3em; letter-spacing: -0.03em;}
.conn-adm .cont {margin-bottom: var(--space-60);}
.conn-adm .cont p {font-size: var(--font-size-16); line-height: 1.562em;}
.conn-adm .cont p strong {font-weight: 600;}
.conn-adm .cont p strong.primary {color: var(--color-primary);}
.conn-adm .img {overflow: hidden; border-radius: var(--radius-32);}

/* 로잉 마스터 소개 */
.master-intro {padding-bottom: var(--space-140);}
.master-intro .inner {display: flex; align-items: stretch; border-radius: var(--radius-16); overflow: hidden;}
.master-intro .img {width: clamp(400px, calc(545 / var(--inner) * 100vw), 545px);}
.master-intro .cell {flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--space-90); background: #E6B430;}
.master-intro .cap {font-size: var(--font-size-16); font-weight: 500; color: #fff; margin-bottom: var(--space-20); line-height: 1.25em;}
.master-intro .tit {font-size: var(--font-size-38); font-weight: 600; color: #fff; margin-bottom: var(--space-80); line-height: 1.25em; letter-spacing: -0.03em;}
.master-intro .cont {margin-bottom: var(--space-80);}
.master-intro .cont p {font-size: var(--font-size-16); font-weight: 400; line-height: 1.562em; color: #fff; }
.master-intro .btn {display: inline-flex; align-items: center; justify-content: center; gap: var(--space-8); width: 157px; height: 50px; padding: var(--space-10); background: transparent; border: 1px solid #fff; border-radius: 58px; color: #fff; font-size: var(--font-size-16); font-weight: 600; line-height: 1.625em;}
.master-intro .btn:hover {background: #fff; color: #E6B430;}
.master-intro .btn span {transition: transform 0.3s ease;}
.master-intro .btn:hover span {transform: translateX(5px);}

/* sub */
.sub-visual {position:relative; width:100%; height:clamp(170px, calc(500 / var(--inner) * 100vw), 500px); overflow:hidden; color:#fff; background-color:#eee; }
.sub-visual .bg {position:absolute; inset:0; width:100%; height:100%; background-position:50% 50%; background-size:cover; animation:sv-zoomIn 5s forwards linear;}
.sub-visual .cell {position:absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width:100%;}
.sub-visual h2 {font-size:var(--font-size-68); text-align: center; line-height:1em;}
.sub-visual .bg1 {background-image:url("../images/common/sv1.jpg")}
.sub-visual .bg2 {background-image:url("../images/common/sv2.jpg")}
.sub-visual .bg3 {background-image:url("../images/common/sv3.jpg")}
.sub-visual .bg4 {background-image:url("../images/common/sv4.jpg")}
.sub-visual .bg5 {background-image:url("../images/common/sv5.jpg")}
.sub-visual .bg6 {background-image:url("../images/common/sv6.jpg")}

@keyframes sv-zoomIn {
    0% {transform:scale(1.1);}
    100% {transform:scale(1);}
}

.lnb-wrap {position:absolute; bottom:0; width:100%; text-align:center; background: rgba(0, 0, 0, 0.40); backdrop-filter: blur(5px); z-index:10; border-top: 1px solid #555;}
.lnb {max-width: 1400px; margin: 0 auto;}
.lnb .swiper {width:100%;}
.lnb ul {display:flex; justify-content: flex-start;}
.lnb ul li {position:relative; flex: 1; text-align:center; height:var(--lnb-height);}
.lnb ul li:last-child {border-right:none;}
.lnb ul li a {display:flex; flex-direction:column; justify-content:center; align-items:center; width:100%; height:100%; color:#fff; font-size:var(--font-size-20); font-weight: 400; line-height:1.3em; text-align:center; padding: 0 10px; white-space:nowrap; transition:all .3s;}
.lnb ul li.active {border-top: 2px solid #fff;}
.lnb ul li.active a {color:#fff; font-weight:700;}

#contArea {max-width:1460px; padding:var(--space-90) var(--space-container) var(--space-150); margin:0 auto;}
#contArea.wide {max-width:100%; padding-left:0; padding-right:0;}
#contArea.pb0 {padding-bottom: 0;}

.sub-title {margin-bottom:var(--space-60); text-align: center;}
.sub-title h2 {position: relative; font-size:var(--font-size-40); font-weight:700; color:var(--color-sub); line-height:1.2em; letter-spacing:-.03em;}

.real-cont {min-height:300px;}

/* footer */
#footer {position:relative; background:#fff; padding:var(--space-80) 0; color:#454545; font-weight:400; line-height:normal; border-top: 1px solid #ddd;}
#footer .f-content {max-width:1460px; margin:0 auto; padding:0 var(--space-container);}
#footer .ft-cont {align-items: center; gap: var(--space-90);}
#footer .ft-privacy {margin-bottom: var(--space-40); font-size:var(--font-size-18); line-height: 1.16em;}
#footer .ft-privacy a {display: inline-flex; align-items: center;}
#footer .ft-privacy a:after {content: ""; display: inline-block; width: 1px; height: 14px; background: #242424; margin: 0 10px}
#footer .ft-privacy a:last-child:after {display: none;}

#footer .ft-contact-info {display: flex; align-items:flex-start; flex-wrap: wrap; margin-bottom: var(--space-10);}
#footer .ft-contact-info > dl {display:flex; align-items: center; font-size:var(--font-size-15);}
#footer .ft-contact-info > dl:after {content: ""; display: inline-block; width: 1px; height: 12px; background: #454545; margin: 0 10px;}
#footer .ft-contact-info > dl:last-child:after {display: none;}
#footer .ft-contact-info > dl dt {margin-right: 10px;}
#footer .ft-contact-info .highlight {color: var(--color-sub); font-weight: 700;}

#footer .copyright {display: flex; flex-wrap: wrap;}
#footer .copyright > span {font-size: var(--font-size-15);}
#footer .copyright > span:after {content: ""; display: inline-block; width: 1px; height: 12px; background: #454545; margin: 0 10px;}
#footer .copyright > span:last-child:after {display: none;}

